execute as @a unless data entity @s SelectedItem run attribute @s minecraft:attack_damage modifier add 2attackbase 1 add_value
execute as @a unless data entity @s SelectedItem run attribute @s minecraft:attack_speed modifier add 2speedbase -2 add_value
execute as @a if data entity @s SelectedItem run attribute @s minecraft:attack_damage modifier remove 2attackbase
execute as @a if data entity @s SelectedItem run attribute @s minecraft:attack_speed modifier remove 2speedbase

execute as @a[predicate=aa_tweaks:reach_add] run attribute @s minecraft:block_interaction_range modifier add reach_add .5 add_value
execute as @a[predicate=aa_tweaks:reach_add] run attribute @s minecraft:entity_interaction_range modifier add reach_add .5 add_value
execute as @a[predicate=!aa_tweaks:reach_add] run attribute @s minecraft:block_interaction_range modifier remove reach_add
execute as @a[predicate=!aa_tweaks:reach_add] run attribute @s minecraft:entity_interaction_range modifier remove reach_add

execute as @a[predicate=aa_tweaks:knockback_add] run attribute @s minecraft:attack_knockback modifier add knockback_add .5 add_value
execute as @a[nbt={SelectedItem:{id:"minecraft:shield"}}] run attribute @s minecraft:attack_speed modifier add shield_main -3 add_value
execute as @a[predicate=!aa_tweaks:knockback_add] run attribute @s minecraft:attack_knockback modifier remove knockback_add
execute as @a[nbt=!{SelectedItem:{id:"minecraft:shield"}}] run attribute @s minecraft:attack_speed modifier remove shield_main

execute as @a at @s if block ~ ~ ~ minecraft:dirt_path run attribute @s minecraft:movement_speed modifier add pathspeed .25 add_multiplied_base
execute as @a at @s unless block ~ ~ ~ minecraft:dirt_path run attribute @s minecraft:movement_speed modifier remove pathspeed

execute as @a[predicate=aa_tweaks:unrestricted] run attribute @s step_height modifier add unrestricted .7 add_multiplied_base
execute as @a[predicate=!aa_tweaks:unrestricted] run attribute @s step_height modifier remove unrestricted

execute as @a[nbt={FallFlying:1b}] run attribute @s minecraft:gravity modifier add less_floaty .5 add_multiplied_base
execute as @a[nbt={FallFlying:0b}] run attribute @s minecraft:gravity modifier remove less_floaty

execute as @a[nbt={FallFlying:1b}] run attribute @s minecraft:attack_damage modifier remove mace_reduction
execute as @a[nbt={FallFlying:0b}] run attribute @s minecraft:attack_damage modifier remove mace_gliding
execute as @a[nbt={FallFlying:0b}] run attribute @s minecraft:attack_knockback modifier remove mace_gliding

execute as @a[nbt={SelectedItem:{id:"minecraft:mace"}},nbt={FallFlying:0b}] at @s run function aa_tweaks:mace
execute as @a[nbt={SelectedItem:{id:"minecraft:mace"}},nbt={FallFlying:1b}] at @s run function aa_tweaks:mace_flying

execute as @a[nbt={FallFlying:1b}] if score @s flap_cooldown matches 3 run attribute @s minecraft:gravity modifier remove minecraft:enchantment.flap
execute as @a[nbt={FallFlying:0b}] run attribute @s minecraft:gravity modifier remove minecraft:enchantment.flap
execute as @a[nbt={FallFlying:1b}] run scoreboard players add @s flap_cooldown 1
execute as @a[nbt={FallFlying:0b}] run scoreboard players reset @s flap_cooldown

execute as @e[type=minecraft:firework_rocket] on origin if entity @s[nbt={FallFlying:1b}] at @s as @n[type=minecraft:firework_rocket,distance=..2] store result score @s firework_lifetime run data get entity @s LifeTime
execute as @e[type=minecraft:firework_rocket] on origin if entity @s[nbt={FallFlying:1b}] at @s as @n[type=minecraft:firework_rocket,distance=..2] store result entity @s LifeTime int 1 run scoreboard players remove @s firework_lifetime 1

execute as @e[predicate=aa_tweaks:creeper_fire] run data merge entity @s {ExplosionRadius:5b}
execute as @e[type=creeper,predicate=!aa_tweaks:creeper_fire] run data merge entity @s {ExplosionRadius:4.5b}
execute as @e[predicate=aa_tweaks:creeper_fire,nbt={Health:2f}] run data merge entity @s {ignited:1b}

execute as @e[type=#aa_tweaks:adjusted_mob,tag=!adjusted] run function aa_tweaks:mob_adjustments

execute as @e[type=slime,nbt=!{attributes:[{id:"minecraft:fall_damage_multiplier",base:0}]}] run attribute @s minecraft:fall_damage_multiplier base set 0
execute as @e[type=magma_cube,nbt=!{attributes:[{id:"minecraft:fall_damage_multiplier",base:0}]}] run attribute @s minecraft:fall_damage_multiplier base set 0